HanMacWrdKGraphInternal::Group::Child Struct Reference

struct to store child data in HanMacWrdKGraphInternal::Group More...

## Public Member Functions

| Child ()
| constructor

## Public Attributes

long | m_fileId
| the child id
int | m_values [2]
| two values

## Friends

std::ostream & | operator<< (std::ostream &o, Child const &ch)
| operator<<

## Detailed Description

struct to store child data in HanMacWrdKGraphInternal::Group

## Constructor & Destructor Documentation

## Child()

HanMacWrdKGraphInternal::Group::Child::Child | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Child const & | ch )

friend

operator<<

## Member Data Documentation

## m_fileId

long HanMacWrdKGraphInternal::Group::Child::m_fileId

the child id

Referenced by Child(), operator<<, and HanMacWrdKGraph::readGroup().

## m_values

int HanMacWrdKGraphInternal::Group::Child::m_values[2]

two values

Referenced by Child(), operator<<, and HanMacWrdKGraph::readGroup().

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx